Subject: [PATCH] module: use a macro instead of platform_driver_register

From: [email-masked] (Greg KH)
Date: Sat, 25 May 2013 05:22:40 -0700

On Sat, May 25, 2013 at 12:40:50PM +0800, Libo Chen wrote:
> 
> I found a lot of mistakes using struct platform_driver without owner
> so I make a macro instead of the function platform_driver_register.
> It can set owner in it, then guys don`t care about module owner again.
> 
> Signed-off-by: Libo Chen <[email-masked]>

Nice job, that's the better way to fix this, I'll queue it up for 3.11.

thanks,

greg k-h